Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpSignatoryFactory

    java.lang.Object
      org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

    class PgpSignatoryFactory
    extends java.lang.Object

Method Summary
`PgpSignatory` | `createSignatory(Project project, boolean required = false)`
`PgpSignatory` | `createSignatory(Project project, java.lang.String propertyPrefix, boolean required = false)`
`PgpSignatory` | `createSignatory(Project project, java.lang.String propertyPrefix, java.lang.String name, boolean required = false)`
`PgpSignatory` | `createSignatory(java.lang.String name, java.lang.String keyId, java.io.File keyRing, java.lang.String password)`
`PgpSignatory` | `createSignatory(java.lang.String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, java.lang.String password)`
`protected java.lang.Object` | `getQualifiedPropertyName(java.lang.String propertyPrefix, java.lang.String name)`
`protected PgpKeyId` | `normalizeKeyId(java.lang.String keyId)`
`protected PgpSignatory` | `readProperties(Project project, java.lang.String prefix, java.lang.String name, boolean required = false)`
`org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(java.lang.String keyId, java.io.File file)`
`protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(java.io.InputStream input, java.lang.String keyId, java.lang.String sourceDescription)`
`protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, java.lang.String sourceDescription)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createSignatory

    PgpSignatory createSignatory(Project project, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(Project project, java.lang.String propertyPrefix, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(Project project, java.lang.String propertyPrefix, java.lang.String name, boolean required = false)

### createSignatory

    PgpSignatory createSignatory(java.lang.String name, java.lang.String keyId, java.io.File keyRing, java.lang.String password)

### createSignatory

    PgpSignatory createSignatory(java.lang.String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, java.lang.String password)

### getQualifiedPropertyName

    protected java.lang.Object getQualifiedPropertyName(java.lang.String propertyPrefix, java.lang.String name)

### normalizeKeyId

    protected PgpKeyId normalizeKeyId(java.lang.String keyId)

### readProperties

    protected PgpSignatory readProperties(Project project, java.lang.String prefix, java.lang.String name, boolean required = false)

### readSecretKey

    org.bouncycastle.openpgp.PGPSecretKey readSecretKey(java.lang.String keyId, java.io.File file)

### readSecretKey

    protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(java.io.InputStream input, java.lang.String keyId, java.lang.String sourceDescription)

### readSecretKey

    protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, java.lang.String sourceDescription)

Groovy Documentation